Subversion Version Compatibility - linux for you - Dec 2009

18 Jan 2010
Posted by stylesen

svn version compatibility LFY article coverThere exists a lot of confusion in choosing the compatible versions of Free Software. This article which I wrote for Linux For You magazine, published in December 2009 issue, was an attempt to explain the compatibility concerns of Free Software using Subversion Version control system.

A gist from the article is follows, you can download the entire article from the attachment to this post,

The toughest job for any server administrator is to choose the correct version of software to install and use for maintenance. Most server software have corresponding clients that access the software to get data from them. This kind of client-server model creates a few problems when a server administrator is trying to choose the right version of server software.

In this article, we will discuss one such problem in choosing the appropriate release of the popular version control system, Subversion. This article will also help decipher version compatibility among most of the free  software available.

See attachment below to download the complete article in pdf.

AttachmentSize
svn-version-compatibility.pdf368.78 KB

Liked your article and I'm

Liked your article and I'm sure that it will help both subversion users and system administrators alike.I run a Subversion Community Site @ http://subversion.wandisco.com where we offer blogs, forums, news articles, etc, which you might find of interest - we'd certainly love to see you contribute in there and you'd be welcome to post your blog there which may help to touch other svn users and sysadmins.
Hope to see you there!James